<!doctype html>
<html lang="de-DE">

{{> head }}

<body>
<div>
    {{> breadcrumbs }}
    <div id="ovk-content">
        <h1>Umsetzung</h1>
        <p>
            Bei der Modellierung einer Datenbank hat ein:e Entwickler:in viele Freiheitsgrade und es können
            Probleme auftreten, die wir in diesem Abschnitt betrachten wollen. Eine Ursache solcher Probleme ist
            <b>Datenredundanz</b>. Dieselbe Information, z.&nbsp;B. die Telefonnummer einer Person, wird an
            unterschiedlichen Stellen mehrfach, also redundant abgespeichert. Wird diese Telefonnummer nur an
            einer Stelle geändert, so erhalten wir <b>inkonsistente Daten</b>, es ist nicht mehr klar
            ersichtlich, welcher Datensatz die korrekte Telefonnummer enthält. Man spricht in diesem Fall auch
            von einem <b>Fehlen von Datenintegrität</b>.
        </p>

        <details>
            <summary><span>Anomalien</span></summary>
            {{> Anomalien}}
        </details>

        <details>
            <summary><span>Normalisierung</span></summary>
            {{> Normalformen}}
        </details>

        <details>
            <summary><span>Übung – Datenbanken normalisieren</span></summary>
            <iframe src="https://normalisierung-db-vorbereitungskurs-optla-intera-8a097a355d05f2.gitlab.io" style="width: 100%; height: 890px; margin-top: 1em; background: none;" scrolling="no"></iframe>
        </details>

        <details>
            <summary><span>Zusammenfassung</span></summary>
            {{> Zusammenfassung}}
        </details>

        {{> footer }}
    </div>
</div>
</body>
